<?php

namespace App\Generated\V1_1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use App\Generated\V1_1\Enums\IMCustomMsgType;
use Kamicloud\StubApi\Utils\Constants;

class CustomMessageDTO extends DTO
{
    use ValueHelper;

    protected $MsgType;

    /**
     * @return mixed
     */
    public function getMsgType()
    {
        return $this->MsgType;
    }

    public function setMsgType($MsgType)
    {
        $this->MsgType = $MsgType;
    }

    public function getAttributeMap()
    {
        return [
            ['MsgType', 'msg_type', IMCustomMsgType::class, Constants::ENUM, null],
        ];
    }

}
